#ifndef PARSEDEVICEMESSAGE_H
#define PARSEDEVICEMESSAGE_H
#include "device_message.h"
#include "mmodbus.h"
#include "ring_buffer.h"
#include "dlt645.h"
#include "dlt645_port.h"


#define  MODBUS  2
#define DLT645   1

bool WaitForUpData(void);
void modbusRead(CONFIG_PARAMS * gateway);
extern ring_buffer mqttRecv;
void parseMQTTData(CONFIG_PARAMS *gateway);
void dlt645_read(CONFIG_PARAMS *gateway);
void MQTTPublish(CONFIG_PARAMS *gateway);
//void WaitForUpData232(void);
#endif /* MAIN_H */
